import { Variant } from '../types';
declare type InputProps = {
    disabled?: boolean;
    variant: Variant;
    hasText: boolean;
};
declare type OptionItemType = {
    isSelected?: boolean;
    isHovered?: boolean;
    name?: string;
    isDisabled?: boolean;
    isMultivalue?: boolean;
};
export declare const SelectInput: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, InputProps, never>;
declare type OptionsPopperProps = {
    width: number;
    maxHeight: number;
};
export declare const OptionsPopper: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, OptionsPopperProps, never>;
export declare const OptionItemLabel: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {
    isMultivalue?: boolean | undefined;
}, never>;
export declare const OptionItem: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, OptionItemType, never>;
export declare const DropdownPrefix: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {
    hasHandler?: boolean | undefined;
} & {
    hasValue?: boolean | undefined;
}, never>;
export {};
